#ifndef __ITSARRAYMFD_H
#define __ITSARRAYMFD_H

class ITSAMFD: public GraphMFD {
public:
	ITSAMFD (DWORD w, DWORD h, VESSEL *vessel);
	~ITSAMFD ();
	bool ConsumeKeyBuffered (DWORD key);
	bool ConsumeButton (int bt, int event);
	char *ButtonLabel (int bt);
	int  ButtonMenu (const MFDBUTTONMENU **menu) const;
	void Update (HDC hDC);
	void WriteStatus (FILEHANDLE scn) const;
	void ReadStatus (FILEHANDLE scn);


	void GetArray(void);
	void SendDeployStow(void);
	void SendAutoSunOnOff(void);
	void AttachGrapple(void);
	void AttachRelease(void);

	void RotSARJPos(void);
	void RotSARJStop(void);
	void RotSARJNeg(void);

	void RotABPos(void);
	void RotABStop(void);
	void RotABNeg(void);

	void RotCDPos(void);
	void RotCDStop(void);
	void RotCDNeg(void);

	bool SelectVessel(char *name);

	static int MsgProc (UINT msg, UINT mfd, WPARAM wparam, LPARAM lparam);

private:

	void StoreStatus (void) const;
	void RecallStatus (void);

	int mfd;

// transient parameter storage
	static struct SavePrm {
		int page;
		char array_name[256];
	} saveprm;

};

#endif //!__ITSARRAYMFD_H